diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/postbox.dev.js ./wordpress-3.4/wp-admin/js/postbox.dev.js
*** ./wordpress-3.3.2/wp-admin/js/postbox.dev.js	2011-10-09 23:19:05.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/postbox.dev.js	2012-05-01 17:50:47.000000000 -0500
***************
*** 1,9 ****
! var postboxes, is_iPad = navigator.userAgent.match(/iPad/);
  
  (function($) {
  	postboxes = {
  		add_postbox_toggles : function(page, args) {
! 			this.init(page, args);
  
  			$('.postbox h3, .postbox .handlediv').bind('click.postboxes', function() {
  				var p = $(this).parent('.postbox'), id = p.attr('id');
--- 1,11 ----
! var postboxes;
  
  (function($) {
  	postboxes = {
  		add_postbox_toggles : function(page, args) {
! 			var self = this;
! 
! 			self.init(page, args);
  
  			$('.postbox h3, .postbox .handlediv').bind('click.postboxes', function() {
  				var p = $(this).parent('.postbox'), id = p.attr('id');
***************
*** 12,24 ****
  					return;
  
  				p.toggleClass('closed');
! 				postboxes.save_state(page);
  
  				if ( id ) {
  					if ( !p.hasClass('closed') && $.isFunction(postboxes.pbshow) )
! 						postboxes.pbshow(id);
  					else if ( p.hasClass('closed') && $.isFunction(postboxes.pbhide) )
! 						postboxes.pbhide(id);
  				}
  			});
  
--- 14,28 ----
  					return;
  
  				p.toggleClass('closed');
! 
! 				if ( page != 'press-this' )
! 					self.save_state(page);
  
  				if ( id ) {
  					if ( !p.hasClass('closed') && $.isFunction(postboxes.pbshow) )
! 						self.pbshow(id);
  					else if ( p.hasClass('closed') && $.isFunction(postboxes.pbhide) )
! 						self.pbhide(id);
  				}
  			});
  
***************
*** 38,64 ****
  				if ( $(this).prop('checked') ) {
  					$('#' + box).show();
  					if ( $.isFunction( postboxes.pbshow ) )
! 						postboxes.pbshow( box );
  				} else {
  					$('#' + box).hide();
  					if ( $.isFunction( postboxes.pbhide ) )
! 						postboxes.pbhide( box );
  				}
! 				postboxes.save_state(page);
! 				postboxes._mark_area();
  			});
  
  			$('.columns-prefs input[type="radio"]').bind('click.postboxes', function(){
! 				var n = parseInt($(this).val(), 10), pb = postboxes;
  
  				if ( n ) {
! 					pb._pb_edit(n);
! 					pb.save_order(page);
  				}
  			});
  		},
  
  		init : function(page, args) {
  			$.extend( this, args || {} );
  			$('#wpbody-content').css('overflow','hidden');
  			$('.meta-box-sortables').sortable({
--- 42,70 ----
  				if ( $(this).prop('checked') ) {
  					$('#' + box).show();
  					if ( $.isFunction( postboxes.pbshow ) )
! 						self.pbshow( box );
  				} else {
  					$('#' + box).hide();
  					if ( $.isFunction( postboxes.pbhide ) )
! 						self.pbhide( box );
  				}
! 				self.save_state(page);
! 				self._mark_area();
  			});
  
  			$('.columns-prefs input[type="radio"]').bind('click.postboxes', function(){
! 				var n = parseInt($(this).val(), 10);
  
  				if ( n ) {
! 					self._pb_edit(n);
! 					self.save_order(page);
  				}
  			});
  		},
  
  		init : function(page, args) {
+ 			var isMobile = $(document.body).hasClass('mobile');
+ 
  			$.extend( this, args || {} );
  			$('#wpbody-content').css('overflow','hidden');
  			$('.meta-box-sortables').sortable({
***************
*** 67,72 ****
--- 73,79 ----
  				items: '.postbox',
  				handle: '.hndle',
  				cursor: 'move',
+ 				delay: ( isMobile ? 200 : 0 ),
  				distance: 2,
  				tolerance: 'pointer',
  				forcePlaceholderSize: true,
***************
*** 88,95 ****
  				}
  			});
  
! 			if ( navigator.userAgent.match(/iPad/) ) {
! 				$(document.body).bind('orientationchange', function(){ postboxes._pb_change(); });
  				this._pb_change();
  			}
  
--- 95,102 ----
  				}
  			});
  
! 			if ( isMobile ) {
! 				$(document.body).bind('orientationchange.postboxes', function(){ postboxes._pb_change(); });
  				this._pb_change();
  			}
  
***************
*** 124,212 ****
  			$.post( ajaxurl, postVars );
  		},
  
- 		_colname : function(n) {
- 			switch (n) {
- 				case 1:
- 					return 'normal';
- 					break
- 				case 2:
- 					return 'side';
- 					break
- 				case 3:
- 					return 'column3';
- 					break
- 				case 4:
- 					return 'column4';
- 					break
- 				default:
- 					return '';
- 			}
- 		},
- 
  		_mark_area : function() {
! 			$('#side-info-column .meta-box-sortables:visible, #dashboard-widgets .meta-box-sortables:visible').each(function(n, el){
  				var t = $(this);
  
! 				if ( !t.children('.postbox:visible').length )
! 					t.addClass('empty-container');
! 				else
  					t.removeClass('empty-container');
  			});
  		},
  
  		_pb_edit : function(n) {
! 			var ps = $('#poststuff'), i, el, done, pb = postboxes, visible = $('.postbox-container:visible').length;
! 
! 			if ( n == visible )
! 				return;
! 
! 			if ( ps.length ) {
! 				if ( n == 2 ) {
! 					$('.wrap').removeClass('columns-1').addClass('columns-2');
! 					ps.addClass('has-right-sidebar');
! 
! 					if ( !$('#side-info-column #side-sortables').length )
! 						$('#side-info-column').append( $('#side-sortables') );
! 
! 				} else if ( n == 1 ) {
! 					$('.wrap').removeClass('columns-2').addClass('columns-1');
! 					ps.removeClass('has-right-sidebar');
! 
! 					if ( !$('#post-body-content #side-sortables').length )
! 						$('#normal-sortables').before( $('#side-sortables') );
! 				}
! 			} else {
! 				for ( i = 4; ( i > n && i > 1 ); i-- ) {
! 					el = $('#' + postboxes._colname(i) + '-sortables');
! 					$('#' + postboxes._colname(i-1) + '-sortables').append(el.children('.postbox'));
! 					el.parent().hide();
! 				}
! 
! 				for ( i = n; i > 0; i-- ) {
! 					el = $('#' + postboxes._colname(i) + '-sortables');
! 					done = false;
! 
! 					if ( el.parent().is(':hidden') ) {
! 						switch ( i ) {
! 							case 4:
! 								done = pb._move_one( el, $('.postbox:visible', $('#column3-sortables')) );
! 							case 3:
! 								if ( !done )
! 									done = pb._move_one( el, $('.postbox:visible', $('#side-sortables')) );
! 							case 2:
! 								if ( !done )
! 									done = pb._move_one( el, $('.postbox:visible', $('#normal-sortables')) );
! 							default:
! 								if ( !done )
! 									el.addClass('empty-container')
! 						}
! 
! 						el.parent().show();
! 					}
! 				}
! 
! 				$('.postbox-container:visible').css('width', 100/n + '%');
! 			}
  		},
  
  		_pb_change : function() {
--- 131,159 ----
  			$.post( ajaxurl, postVars );
  		},
  
  		_mark_area : function() {
! 			var visible = $('div.postbox:visible').length, side = $('#post-body #side-sortables');
! 
! 			$('#dashboard-widgets .meta-box-sortables:visible').each(function(n, el){
  				var t = $(this);
  
! 				if ( visible == 1 || t.children('.postbox:visible').length )
  					t.removeClass('empty-container');
+ 				else
+ 					t.addClass('empty-container');
  			});
+ 
+ 			if ( side.length ) {
+ 				if ( side.children('.postbox:visible').length )
+ 					side.removeClass('empty-container');
+ 				else if ( $('#postbox-container-1').css('width') == '280px' )
+ 					side.addClass('empty-container');
+ 			}
  		},
  
  		_pb_edit : function(n) {
! 			var el = $('.metabox-holder').get(0);
! 			el.className = el.className.replace(/columns-\d+/, 'columns-' + n);
  		},
  
  		_pb_change : function() {
***************
*** 225,238 ****
  			}
  		},
  
- 		_move_one : function(el, move) {
- 			if ( move.length > 1 ) {
- 				el.append( move.last() );
- 				return true;
- 			}
- 			return false;
- 		},
- 
  		/* Callbacks */
  		pbshow : false,
  
--- 172,177 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/post.dev.js ./wordpress-3.4/wp-admin/js/post.dev.js
*** ./wordpress-3.3.2/wp-admin/js/post.dev.js	2011-11-23 18:20:21.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/post.dev.js	2012-04-30 15:50:50.000000000 -0500
***************
*** 15,25 ****
  
  tagBox = {
  	clean : function(tags) {
! 		return tags.replace(/\s*,\s*/g, ',').replace(/,+/g, ',').replace(/[,\s]+$/, '').replace(/^[,\s]+/, '');
  	},
  
  	parseTags : function(el) {
! 		var id = el.id, num = id.split('-check-num-')[1], taxbox = $(el).closest('.tagsdiv'), thetags = taxbox.find('.the-tags'), current_tags = thetags.val().split(','), new_tags = [];
  		delete current_tags[num];
  
  		$.each( current_tags, function(key, val) {
--- 15,33 ----
  
  tagBox = {
  	clean : function(tags) {
! 		var comma = postL10n.comma;
! 		if ( ',' !== comma )
! 			tags = tags.replace(new RegExp(comma, 'g'), ',');
! 		tags = tags.replace(/\s*,\s*/g, ',').replace(/,+/g, ',').replace(/[,\s]+$/, '').replace(/^[,\s]+/, '');
! 		if ( ',' !== comma )
! 			tags = tags.replace(/,/g, comma);
! 		return tags;
  	},
  
  	parseTags : function(el) {
! 		var id = el.id, num = id.split('-check-num-')[1], taxbox = $(el).closest('.tagsdiv'),
! 			thetags = taxbox.find('.the-tags'), comma = postL10n.comma,
! 			current_tags = thetags.val().split(comma), new_tags = [];
  		delete current_tags[num];
  
  		$.each( current_tags, function(key, val) {
***************
*** 29,35 ****
  			}
  		});
  
! 		thetags.val( this.clean( new_tags.join(',') ) );
  
  		this.quickClicks(taxbox);
  		return false;
--- 37,43 ----
  			}
  		});
  
! 		thetags.val( this.clean( new_tags.join(comma) ) );
  
  		this.quickClicks(taxbox);
  		return false;
***************
*** 46,52 ****
  
  		disabled = thetags.prop('disabled');
  
! 		current_tags = thetags.val().split(',');
  		tagchecklist.empty();
  
  		$.each( current_tags, function( key, val ) {
--- 54,60 ----
  
  		disabled = thetags.prop('disabled');
  
! 		current_tags = thetags.val().split(postL10n.comma);
  		tagchecklist.empty();
  
  		$.each( current_tags, function( key, val ) {
***************
*** 74,87 ****
  
  	flushTags : function(el, a, f) {
  		a = a || false;
! 		var text, tags = $('.the-tags', el), newtag = $('input.newtag', el), newtags;
  
  		text = a ? $(a).text() : newtag.val();
  		tagsval = tags.val();
! 		newtags = tagsval ? tagsval + ',' + text : text;
  
  		newtags = this.clean( newtags );
! 		newtags = array_unique_noempty( newtags.split(',') ).join(',');
  		tags.val(newtags);
  		this.quickClicks(el);
  
--- 82,98 ----
  
  	flushTags : function(el, a, f) {
  		a = a || false;
! 		var tags = $('.the-tags', el),
! 			newtag = $('input.newtag', el),
! 			comma = postL10n.comma,
! 			newtags, text;
  
  		text = a ? $(a).text() : newtag.val();
  		tagsval = tags.val();
! 		newtags = tagsval ? tagsval + comma + text : text;
  
  		newtags = this.clean( newtags );
! 		newtags = array_unique_noempty( newtags.split(comma) ).join(comma);
  		tags.val(newtags);
  		this.quickClicks(el);
  
***************
*** 96,102 ****
  	get : function(id) {
  		var tax = id.substr(id.indexOf('-')+1);
  
! 		$.post(ajaxurl, {'action':'get-tagcloud','tax':tax}, function(r, stat) {
  			if ( 0 == r || 'success' != stat )
  				r = wpAjax.broken;
  
--- 107,113 ----
  	get : function(id) {
  		var tax = id.substr(id.indexOf('-')+1);
  
! 		$.post(ajaxurl, {'action':'get-tagcloud', 'tax':tax}, function(r, stat) {
  			if ( 0 == r || 'success' != stat )
  				r = wpAjax.broken;
  
***************
*** 142,148 ****
  			}
  		}).each(function(){
  			var tax = $(this).closest('div.tagsdiv').attr('id');
! 			$(this).suggest( ajaxurl + '?action=ajax-tag-search&tax=' + tax, { delay: 500, minchars: 2, multiple: true, multipleSep: "," } );
  		});
  
  	    // save tags on post save/publish
--- 153,159 ----
  			}
  		}).each(function(){
  			var tax = $(this).closest('div.tagsdiv').attr('id');
! 			$(this).suggest( ajaxurl + '?action=ajax-tag-search&tax=' + tax, { delay: 500, minchars: 2, multiple: true, multipleSep: postL10n.comma + ' ' } );
  		});
  
  	    // save tags on post save/publish
***************
*** 200,209 ****
  					if ( commentsBox.st > commentsBox.total )
  						$('#show-comments').hide();
  					else
! 						$('#show-comments').html(postL10n.showcomm);
  					return;
  				} else if ( 1 == r ) {
! 					$('#show-comments').parent().html(postL10n.endcomm);
  					return;
  				}
  
--- 211,221 ----
  					if ( commentsBox.st > commentsBox.total )
  						$('#show-comments').hide();
  					else
! 						$('#show-comments').show().children('a').html(postL10n.showcomm);
! 
  					return;
  				} else if ( 1 == r ) {
! 					$('#show-comments').html(postL10n.endcomm);
  					return;
  				}
  
***************
*** 302,313 ****
--- 314,327 ----
  			if ( !$('#new'+taxonomy).val() )
  				return false;
  			s.data += '&' + $( ':checked', '#'+taxonomy+'checklist' ).serialize();
+ 			$( '#' + taxonomy + '-add-submit' ).prop( 'disabled', true );
  			return s;
  		};
  
  		catAddAfter = function( r, s ) {
  			var sup, drop = $('#new'+taxonomy+'_parent');
  
+ 			$( '#' + taxonomy + '-add-submit' ).prop( 'disabled', false );
  			if ( 'undefined' != s.parsed.responses[0] && (sup = s.parsed.responses[0].supplemental.newcat_parent) ) {
  				drop.before(sup);
  				drop.remove();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/tags.dev.js ./wordpress-3.4/wp-admin/js/tags.dev.js
*** ./wordpress-3.3.2/wp-admin/js/tags.dev.js	2011-04-29 21:15:08.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/tags.dev.js	2012-03-02 15:01:51.000000000 -0600
***************
*** 33,41 ****
  			return false;
  
  		$.post(ajaxurl, $('#addtag').serialize(), function(r){
! 		   $('#ajax-response').empty();
  			var res = wpAjax.parseAjaxResponse(r, 'ajax-response');
! 			if ( ! res )
  				return;
  
  			var parent = form.find('select#parent').val();
--- 33,41 ----
  			return false;
  
  		$.post(ajaxurl, $('#addtag').serialize(), function(r){
! 			$('#ajax-response').empty();
  			var res = wpAjax.parseAjaxResponse(r, 'ajax-response');
! 			if ( ! res || res.errors )
  				return;
  
  			var parent = form.find('select#parent').val();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/theme.dev.js ./wordpress-3.4/wp-admin/js/theme.dev.js
*** ./wordpress-3.3.2/wp-admin/js/theme.dev.js	2011-01-18 11:32:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/theme.dev.js	2012-06-06 16:45:17.000000000 -0500
***************
*** 1,3 ****
--- 1,63 ----
+ /**
+  * Theme Browsing
+  *
+  * Controls visibility of theme details on manage and install themes pages.
+  */
+ jQuery( function($) {
+ 	$('#availablethemes').on( 'click', '.theme-detail', function (event) {
+ 		var theme   = $(this).closest('.available-theme'),
+ 			details = theme.find('.themedetaildiv');
+ 
+ 		if ( ! details.length ) {
+ 			details = theme.find('.install-theme-info .theme-details');
+ 			details = details.clone().addClass('themedetaildiv').appendTo( theme ).hide();
+ 		}
+ 
+ 		details.toggle();
+ 		event.preventDefault();
+ 	});
+ });
+ 
+ /**
+  * Theme Install
+  *
+  * Displays theme previews on theme install pages.
+  */
+ jQuery( function($) {
+ 	if( ! window.postMessage )
+ 		return;
+ 
+ 	var preview = $('#theme-installer'),
+ 		info    = preview.find('.install-theme-info'),
+ 		panel   = preview.find('.wp-full-overlay-main'),
+ 		body    = $( document.body );
+ 
+ 	preview.on( 'click', '.close-full-overlay', function( event ) {
+ 		preview.fadeOut( 200, function() {
+ 			panel.empty();
+ 			body.removeClass('theme-installer-active full-overlay-active');
+ 		});
+ 		event.preventDefault();
+ 	});
+ 
+ 	preview.on( 'click', '.collapse-sidebar', function( event ) {
+ 		preview.toggleClass( 'collapsed' ).toggleClass( 'expanded' );
+ 		event.preventDefault();
+ 	});
+ 
+ 	$('#availablethemes').on( 'click', '.install-theme-preview', function( event ) {
+ 		var src;
+ 
+ 		info.html( $(this).closest('.installable-theme').find('.install-theme-info').html() );
+ 		src = info.find( '.theme-preview-url' ).val();
+ 		panel.html( '<iframe src="' + src + '" />');
+ 		preview.fadeIn( 200, function() {
+ 			body.addClass('theme-installer-active full-overlay-active');
+ 		});
+ 		event.preventDefault();
+ 	});
+ });
+ 
  var ThemeViewer;
  
  (function($){
***************
*** 45,51 ****
  			init: init
  		};
  
!   	return api;
  	}
  })(jQuery);
  
--- 105,111 ----
  			init: init
  		};
  
! 	return api;
  	}
  })(jQuery);
  
***************
*** 53,55 ****
--- 113,254 ----
  	theme_viewer = new ThemeViewer();
  	theme_viewer.init();
  });
+ 
+ 
+ /**
+  * Class that provides infinite scroll for Themes admin screens
+  *
+  * @since 3.4
+  *
+  * @uses ajaxurl
+  * @uses list_args
+  * @uses theme_list_args
+  * @uses $('#_ajax_fetch_list_nonce').val()
+ * */
+ var ThemeScroller;
+ (function($){
+ 	ThemeScroller = {
+ 		querying: false,
+ 		scrollPollingDelay: 500,
+ 		failedRetryDelay: 4000,
+ 		outListBottomThreshold: 300,
+ 
+ 		/**
+ 		 * Initializer
+ 		 *
+ 		 * @since 3.4
+ 		 * @access private
+ 		 */
+ 		init: function() {
+ 			var self = this;
+ 
+ 			// Get out early if we don't have the required arguments.
+ 			if ( typeof ajaxurl === 'undefined' ||
+ 				 typeof list_args === 'undefined' ||
+ 				 typeof theme_list_args === 'undefined' ) {
+ 					$('.pagination-links').show();
+ 					return;
+ 			}
+ 
+ 			// Handle inputs
+ 			this.nonce = $('#_ajax_fetch_list_nonce').val();
+ 			this.nextPage = ( theme_list_args.paged + 1 );
+ 
+ 			// Cache jQuery selectors
+ 			this.$outList = $('#availablethemes');
+ 			this.$spinner = $('div.tablenav.bottom').children( 'img.ajax-loading' );
+ 			this.$window = $(window);
+ 			this.$document = $(document);
+ 
+ 			/**
+ 			 * If there are more pages to query, then start polling to track
+ 			 * when user hits the bottom of the current page
+ 			 */
+ 			if ( theme_list_args.total_pages >= this.nextPage )
+ 				this.pollInterval =
+ 					setInterval( function() {
+ 						return self.poll();
+ 					}, this.scrollPollingDelay );
+ 		},
+ 
+ 		/**
+ 		 * Checks to see if user has scrolled to bottom of page.
+ 		 * If so, requests another page of content from self.ajax().
+ 		 *
+ 		 * @since 3.4
+ 		 * @access private
+ 		 */
+ 		poll: function() {
+ 			var bottom = this.$document.scrollTop() + this.$window.innerHeight();
+ 
+ 			if ( this.querying ||
+ 				( bottom < this.$outList.height() - this.outListBottomThreshold ) )
+ 				return;
+ 
+ 			this.ajax();
+ 		},
+ 
+ 		/**
+ 		 * Applies results passed from this.ajax() to $outList
+ 		 *
+ 		 * @since 3.4
+ 		 * @access private
+ 		 *
+ 		 * @param results Array with results from this.ajax() query.
+ 		 */
+ 		process: function( results ) {
+ 			if ( results === undefined ) {
+ 				clearInterval( this.pollInterval );
+ 				return;
+ 			}
+ 
+ 			if ( this.nextPage > theme_list_args.total_pages )
+ 				clearInterval( this.pollInterval );
+ 
+ 			if ( this.nextPage <= ( theme_list_args.total_pages + 1 ) )
+ 				this.$outList.append( results.rows );
+ 		},
+ 
+ 		/**
+ 		 * Queries next page of themes
+ 		 *
+ 		 * @since 3.4
+ 		 * @access private
+ 		 */
+ 		ajax: function() {
+ 			var self = this;
+ 
+ 			this.querying = true;
+ 
+ 			var query = {
+ 				action: 'fetch-list',
+ 				paged: this.nextPage,
+ 				s: theme_list_args.search,
+ 				tab: theme_list_args.tab,
+ 				type: theme_list_args.type,
+ 				_ajax_fetch_list_nonce: this.nonce,
+ 				'features[]': theme_list_args.features,
+ 				'list_args': list_args
+ 			};
+ 
+ 			this.$spinner.css( 'visibility', 'visible' );
+ 			$.getJSON( ajaxurl, query )
+ 				.done( function( response ) {
+ 					self.nextPage++;
+ 					self.process( response );
+ 					self.$spinner.css( 'visibility', 'hidden' );
+ 					self.querying = false;
+ 				})
+ 				.fail( function() {
+ 					self.$spinner.css( 'visibility', 'hidden' );
+ 					self.querying = false;
+ 					setTimeout( function() { self.ajax(); }, self.failedRetryDelay );
+ 				});
+ 		}
+ 	}
+ 
+ 	$(document).ready( function($) {
+ 		ThemeScroller.init();
+ 	});
+ 
+ })(jQuery);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/theme-preview.dev.js ./wordpress-3.4/wp-admin/js/theme-preview.dev.js
*** ./wordpress-3.3.2/wp-admin/js/theme-preview.dev.js	2010-05-03 15:26:11.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/theme-preview.dev.js	2012-04-09 19:34:39.000000000 -0500
***************
*** 53,64 ****
  
  		return false;
  	} );
- 
- 	// Theme details
- 	$('.theme-detail').click(function () {
- 		$(this).siblings('.themedetaildiv').toggle();
- 		return false;
- 	});
- 
  });
- 
--- 53,56 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/user-profile.dev.js ./wordpress-3.4/wp-admin/js/user-profile.dev.js
*** ./wordpress-3.3.2/wp-admin/js/user-profile.dev.js	2011-06-30 16:59:45.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/user-profile.dev.js	2012-05-30 16:54:33.000000000 -0500
***************
*** 29,67 ****
  		}
  	}
  
! 	$(document).ready(function() {
  		$('#pass1').val('').keyup( check_pass_strength );
  		$('#pass2').val('').keyup( check_pass_strength );
  		$('#pass-strength-result').show();
! 		$('.color-palette').click(function(){$(this).siblings('input[name="admin_color"]').prop('checked', true)});
! 		$('#first_name, #last_name, #nickname').blur(function(){
! 			var select = $('#display_name'), current = select.find('option:selected').attr('id'), dub = [],
! 				inputs = {
! 					display_nickname : $('#nickname').val(),
! 					display_username : $('#user_login').val(),
! 					display_firstname : $('#first_name').val(),
! 					display_lastname : $('#last_name').val()
! 				};
! 
! 			if ( inputs.display_firstname && inputs.display_lastname ) {
! 				inputs['display_firstlast'] = inputs.display_firstname + ' ' + inputs.display_lastname;
! 				inputs['display_lastfirst'] = inputs.display_lastname + ' ' + inputs.display_firstname;
! 			}
! 
! 			$('option', select).remove();
! 			$.each(inputs, function( id, value ) {
! 				var val = value.replace(/<\/?[a-z][^>]*>/gi, '');
! 
! 				if ( inputs[id].length && $.inArray( val, dub ) == -1 ) {
! 					dub.push(val);
! 					$('<option />', {
! 					  	'id': id,
! 						'text': val,
! 						'selected': (id == current)
! 					}).appendTo( select );
  				}
  			});
! 		});
  	});
  
  })(jQuery);
--- 29,78 ----
  		}
  	}
  
! 	$(document).ready( function() {
! 		var select = $('#display_name');
! 
  		$('#pass1').val('').keyup( check_pass_strength );
  		$('#pass2').val('').keyup( check_pass_strength );
  		$('#pass-strength-result').show();
! 		$('.color-palette').click( function() {
! 			$(this).siblings('input[name="admin_color"]').prop('checked', true);
! 		});
! 
! 		if ( select.length ) {
! 			$('#first_name, #last_name, #nickname').bind( 'blur.user_profile', function() {
! 				var dub = [],
! 					inputs = {
! 						display_nickname  : $('#nickname').val() || '',
! 						display_username  : $('#user_login').val() || '',
! 						display_firstname : $('#first_name').val() || '',
! 						display_lastname  : $('#last_name').val() || ''
! 					};
! 
! 				if ( inputs.display_firstname && inputs.display_lastname ) {
! 					inputs['display_firstlast'] = inputs.display_firstname + ' ' + inputs.display_lastname;
! 					inputs['display_lastfirst'] = inputs.display_lastname + ' ' + inputs.display_firstname;
  				}
+ 
+ 				$.each( $('option', select), function( i, el ){
+ 					dub.push( el.value );
+ 				});
+ 
+ 				$.each(inputs, function( id, value ) {
+ 					if ( ! value )
+ 						return;
+ 
+ 					var val = value.replace(/<\/?[a-z][^>]*>/gi, '');
+ 
+ 					if ( inputs[id].length && $.inArray( val, dub ) == -1 ) {
+ 						dub.push(val);
+ 						$('<option />', {
+ 							'text': val
+ 						}).appendTo( select );
+ 					}
+ 				});
  			});
! 		}
  	});
  
  })(jQuery);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/user-suggest.dev.js ./wordpress-3.4/wp-admin/js/user-suggest.dev.js
*** ./wordpress-3.3.2/wp-admin/js/user-suggest.dev.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/user-suggest.dev.js	2012-06-05 13:51:33.000000000 -0500
***************
*** 0 ****
--- 1,13 ----
+ (function($) {
+ 	var id = 'undefined' !== typeof current_site_id ? '&site_id=' + current_site_id : '';
+ 	$(document).ready( function() {
+ 		$( '.wp-suggest-user' ).autocomplete({
+ 			source:    ajaxurl + '?action=autocomplete-user&autocomplete_type=add' + id,
+ 			delay:     500,
+ 			minLength: 2,
+ 			position:  ( 'undefined' !== typeof isRtl && isRtl ) ? { my: 'right top', at: 'right bottom', offset: '0, -1' } : { offset: '0, -1' },
+ 			open:      function() { $(this).addClass('open'); },
+ 			close:     function() { $(this).removeClass('open'); }
+ 		});
+ 	});
+ })(jQuery);
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/user-suggest.js ./wordpress-3.4/wp-admin/js/user-suggest.js
*** ./wordpress-3.3.2/wp-admin/js/user-suggest.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/user-suggest.js	2012-06-05 13:58:25.000000000 -0500
***************
*** 0 ****
--- 1 ----
+ (function(a){var b="undefined"!==typeof current_site_id?"&site_id="+current_site_id:"";a(document).ready(function(){a(".wp-suggest-user").autocomplete({source:ajaxurl+"?action=autocomplete-user&autocomplete_type=add"+b,delay:500,minLength:2,position:("undefined"!==typeof isRtl&&isRtl)?{my:"right top",at:"right bottom",offset:"0, -1"}:{offset:"0, -1"},open:function(){a(this).addClass("open")},close:function(){a(this).removeClass("open")}})})})(jQuery);
\ No newline at end of file
